OpenVDB 11.0.0

Loading...
Searching...
No Matches
Namespaces | Functions
ax.h File Reference

Single header include which provides methods for initializing AX and running a full AX pipeline (parsing, compiling and executing) across standard OpenVDB Grid types. More...

`#include <openvdb_ax/compiler/AttributeBindings.h>`
`#include <openvdb/openvdb.h>`
`#include <openvdb/version.h>`

Go to the source code of this file.

## Namespaces
namespace | openvdb
namespace | openvdb::v11_0
namespace | openvdb::v11_0::ax

## Functions
OPENVDB_AX_API void | initialize ()
| Initializes OpenVDB AX and subsequent LLVM components.
OPENVDB_AX_API bool | isInitialized ()
| Check to see if OpenVDB AX components have been initialized.
OPENVDB_AX_API void | uninitialize ()
| Uninitialize and deregister OpenVDB AX.
OPENVDB_AX_API void | run (const char *ax, openvdb::GridBase &grid, const AttributeBindings &bindings={})
| Run a full AX pipeline (parse, compile and execute) on a single OpenVDB Grid.
OPENVDB_AX_API void | run (const char *ax, openvdb::GridPtrVec &grids, const AttributeBindings &bindings={})
| Run a full AX pipeline (parse, compile and execute) on a vector of OpenVDB numerical grids OR a vector of OpenVDB Point Data grids.

## Detailed Description

Single header include which provides methods for initializing AX and running a full AX pipeline (parsing, compiling and executing) across standard OpenVDB Grid types.

Author
  Nick Avramoussis

These methods wrap the internal components of OpenVDB AX to provide easier and quick access to running AX code. Users who wish to further optimise and customise the process may interface with these components directly. See the body of the methods provided in this file for example implementations.